## ros-noetic-jsk-topic-tools 2.2.12

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_topic_tools)

# Use ccache if installed to make it fast to generate object files
if (CMAKE_VERSION VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif(CCACHE_FOUND)
endif()

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater
  dynamic_reconfigure
  eigen_conversions
  geometry_msgs
  image_transport
  message_generation
  nodelet
  roscpp
  rostime
  std_msgs
  std_srvs
  tf
  topic_tools
)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/jsk_topic_tools/nodelet_version.h.in
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/jsk_topic_tools/nodelet_version.h)

# download and install sample data
catkin_download(download_sample_pr2_wrench-2022-05-02 https://drive.google.com/uc?id=1ym_fxRTNZOTp4PCXIq_spJwFktoOkLDK
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/sample/data
  FILENAME sample_pr2_wrench-2022-05-02.bag
  MD5 0e2d0d431f10875cb372c85faf32b91e
)
catkin_download(download_sample_tf https://drive.google.com/uc?id=15i7dPbMxrxR0j6KsH5mSgIWrNNTrYoV4
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/sample/data
  FILENAME sample_tf.bag
  MD5 13cd56d8d85cdf80139bbe5f7a9e2ef0
)
add_custom_target(download ALL DEPENDS download_extra_data)

catkin_python_setup()
add_message_files(
  FILES TopicInfo.msg
)
add_service_files(
  FILES List.srv Update.srv ChangeTopic.srv PassthroughDuration.srv
)
generate_dynamic_reconfigure_options(
  cfg/LightweightThrottle.cfg
  cfg/StealthRelay.cfg
  cfg/SynchronizedThrottle.cfg
)
generate_messages()
catkin_package(
    DEPENDS
    CATKIN_DEPENDS topic_tools message_runtime nodelet std_msgs std_srvs roscpp rostime
    INCLUDE_DIRS include
    LIBRARIES jsk_topic_tools
    CFG_EXTRAS nodelet.cmake
)

if(topic_tools_VERSION VERSION_GREATER "1.13.2")
  add_definitions("-Dtopic_tools_relay_stealth_EXISTS")
endif()

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
if(NOT APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif(NOT APPLE)
#include_directories(${Boost_INCLUDE_DIRS})
add_executable(standalone_complexed_nodelet src/standalone_complexed_nodelet.cpp src/log_utils.cpp)
add_executable(topic_buffer_server src/topic_buffer_server.cpp)
add_executable(topic_buffer_client src/topic_buffer_client.cpp)
add_executable(transform_merger src/transform_merger.cpp)
add_executable(static_transform_pose_stamped
  src/static_transform_pose_stamped.cpp)
target_link_libraries(transform_merger ${catkin_LIBRARIES})
target_link_libraries(static_transform_pose_stamped ${catkin_LIBRARIES})
add_dependencies(static_transform_pose_stamped ${PROJECT_NAME}_gencpp)
add_dependencies(topic_buffer_server ${PROJECT_NAME}_gencpp)
add_dependencies(topic_buffer_client ${PROJECT_NAME}_gencpp)
target_link_libraries(topic_buffer_server ${catkin_LIBRARIES})
target_link_libraries(topic_buffer_client ${catkin_LIBRARIES})
target_link_libraries(standalone_complexed_nodelet ${catkin_LIBRARIES})

include(${PROJECT_SOURCE_DIR}/cmake/nodelet.cmake)

macro(jsk_topic_tools_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    jsk_topic_tools_nodelet_sources jsk_topic_tools_nodelet_executable_names)
endmacro(jsk_topic_tools_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)

# nodelet shared object
jsk_topic_tools_nodelet(src/lightweight_throttle_nodelet.cpp
  "jsk_topic_tools/LightweightThrottle" "lightweight_throttle")
jsk_topic_tools_nodelet(src/mux_nodelet.cpp
  "jsk_topic_tools/MUX" "mux")
jsk_topic_tools_nodelet(src/relay_nodelet.cpp
  "jsk_topic_tools/Relay" "relay")
jsk_topic_tools_nodelet(src/deprecated_relay_nodelet.cpp
  "jsk_topic_tools/DeprecatedRelay" "deprecated_relay")
jsk_topic_tools_nodelet(src/stealth_relay_nodelet.cpp
  "jsk_topic_tools/StealthRelay" "stealth_relay")
jsk_topic_tools_nodelet(src/passthrough_nodelet.cpp
  "jsk_topic_tools/Passthrough" "passthrough")
jsk_topic_tools_nodelet(src/block_nodelet.cpp
  "jsk_topic_tools/Block" "block")
jsk_topic_tools_nodelet(src/snapshot_nodelet.cpp
  "jsk_topic_tools/Snapshot" "snapshot")
jsk_topic_tools_nodelet(src/hz_measure_nodelet.cpp
  "jsk_topic_tools/HzMeasure" "hz_measure")
jsk_topic_tools_nodelet(src/vital_checker_nodelet.cpp
  "jsk_topic_tools/VitalCheckerNodelet" "vital_checker")
jsk_topic_tools_nodelet(src/string_relay_nodelet.cpp
  "jsk_topic_tools/StringRelay" "string_relay")
jsk_topic_tools_nodelet(src/synchronized_throttle_nodelet.cpp
  "jsk_topic_tools/SynchronizedThrottle" "synchronized_throttle")

add_library(jsk_topic_tools SHARED
  ${jsk_topic_tools_nodelet_sources}
  src/timered_diagnostic_updater.cpp
  src/diagnostic_utils.cpp
  src/rosparam_utils.cpp
  src/time_accumulator.cpp
  src/vital_checker.cpp
  src/color_utils.cpp
  src/log_utils.cpp
  src/connection_based_nodelet.cpp
  src/diagnostic_nodelet.cpp
  src/series_boolean.cpp
  src/counter.cpp)
add_dependencies(jsk_topic_tools ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
target_link_libraries(jsk_topic_tools ${catkin_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-whitespace/parens,-whitespace/braces")
  roslint_cpp()
  roslint_python()
  macro(jsk_topic_tools_add_rostest file)
    list(APPEND jsk_topic_tools_test_files ${file})
    add_rostest(${file})
  endmacro()
  find_package(rostest REQUIRED)
  jsk_topic_tools_add_rostest(test/test_topic_buffer.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer_close_wait.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer_fixed_rate.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer_fixed_rate_and_update_rate.test)
  jsk_topic_tools_add_rostest(test/test_topic_buffer_update_rate.test)
  jsk_topic_tools_add_rostest(test/test_lightweight_throttle.test)
  jsk_topic_tools_add_rostest(test/test_topic_compare.test)
  jsk_topic_tools_add_rostest(test/test_hz_measure.test)
  jsk_topic_tools_add_rostest(test/test_block.test)
  jsk_topic_tools_add_rostest(test/test_connection_based_nodelet.test)
  jsk_topic_tools_add_rostest(test/test_connection_based_transport.test)
  jsk_topic_tools_add_rostest(test/test_stealth_relay.test)
  jsk_topic_tools_add_rostest(test/test_synchronized_throttle.test)
  jsk_topic_tools_add_rostest(test/test_static_tf_republisher.test)
  jsk_topic_tools_add_rostest(test/test_pose_stamped_publisher.test)
  jsk_topic_tools_add_rostest(test/test_python_master_util.test)
  jsk_topic_tools_add_rostest(test/test_transform_wrench.test)
  catkin_add_nosetests(src/jsk_topic_tools/tests)
  catkin_add_gtest(test_rosparam_utils src/tests/test_rosparam_utils.cpp)
  target_link_libraries(test_rosparam_utils ${PROJECT_NAME})
  add_rostest_gtest(test_log_utils test/test_log_utils.launch src/tests/test_log_utils.cpp)
  target_link_libraries(test_log_utils ${PROJECT_NAME})

  # nodelets for testing
  add_library(jsk_topic_tools_test src/tests/test_log_utils_nodelet.cpp)
  target_link_libraries(jsk_topic_tools_test ${PROJECT_NAME})
  # testing with loading nodelet
  add_rostest_gtest(test_nodelet_log_utils test/test_nodelet_log_utils.test test/test_nodelet_log_utils.cpp)
  target_link_libraries(test_nodelet_log_utils ${PROJECT_NAME})
  add_dependencies(test_nodelet_log_utils jsk_topic_tools_test)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo")
    # rostest/publishtest is available on kinetic and later
    jsk_topic_tools_add_rostest(test/test_standalone_complexed_nodelet.test)
  elseif("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_topic_tools_add_rostest(test/test_tf_to_pose.test)
  endif()
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(TARGETS topic_buffer_server topic_buffer_client jsk_topic_tools
  ${jsk_topic_tools_nodelet_executable_names}
  standalone_complexed_nodelet
  static_transform_pose_stamped
  transform_merger
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  jsk_topic_tools_nodelet.xml
  jsk_topic_tools_test_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES ${jsk_topic_tools_test_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)
install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.test" EXCLUDE
)
install(DIRECTORY cmake config launch sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-noetic-jsk-topic-tools (2.2.12-1buster) buster; urgency=high

  * [jsk_topic_tools] add non static_tf mode to static_tf_republisher (#1709 <https://github.com/jsk-ros-pkg/jsk_common/issues/1709>)
    
      * [jsk_topic_tools] add USE_SOURCE_PERMISSIONS
      * [jsk_topic_tools] remove install_sample_data.py
      * [jsk_topic_tools] remove jsk_data from dependencies
      * [jsk_topic_tools] download sample tf data with catkin_download()
      * [jsk_topic_tools] add jsk_data to package.xml
      * [jsk_topic_tools] update static_tf_republisher to add param
      * [jsk_topic_tools] add test for static_tf_republisher
      * [jsk_topic_tools] add sample_static_tf_republisher.launch
      * [jsk_topic_tools] add sample data
      * [jsk_topic_tools] add non static_tf mode
    
  * [jsk_topic_tools/connection_based_transport] Update the time of last_published_time (#1740 <https://github.com/jsk-ros-pkg/jsk_common/issues/1740>)
    
      * [jsk_topic_tools/connection_based_transport] Make poke function
    
  * [jsk_topic_tools] add rostopic_connection_list #1699 <https://github.com/jsk-ros-pkg/jsk_common/issues/1699> from knorth55/rostopic-connect-list
    
      * add -s and -p arguments
      * add rostopic_connection_list
    
  * [jsk_topic_tools/connection_based_transport] Update the time of last_published_time to make it possible to take the difference time between the time of start subscribing and the current time.
  * [jsk_topic_tools] Add transform wrench stamped node (#1724 <https://github.com/jsk-ros-pkg/jsk_common/issues/1724>)
    
      * Add re-calculate transformed wrench
      * Fixed torque calculation
      * [jsk_tools/SynchronizedThrottle] Add test for topic connection test after killing nodes
      * [jsk_tools/SynchronizedThrottle] Add test for topic connection test after killing nodes
      * [jsk_topic_tools] Use np.dot instead of np.matmul for lower numpy
      * [jsk_topic_tools] Add test for transform wrench
      * [jsk_topic_tools] Add sample for transform wrench
      * [jsk_topic_tools] Add transform_wrench.py node
      * [jsk_topic_tools] Add wrench stamped sampled data
    
  * Add test for topic connection test after killing nodes (#1725 <https://github.com/jsk-ros-pkg/jsk_common/issues/1725>)
    
      * [jsk_tools/SynchronizedThrottle] Add test for topic connection test after killing nodes
    
  * [jsk_topic_tools/diagnostics_nodelet] Poke when start subscribing. (#1735 <https://github.com/jsk-ros-pkg/jsk_common/issues/1735>)
  * Loose test failed (#1734 <https://github.com/jsk-ros-pkg/jsk_common/issues/1734>)
    
      * [jsk_topic_tools/test_topic_buffer_update_rate] Extend duration time for chatter_update for low latency
      * [jsk_topic_tools/test_connection_based] Add wait_for_disconnection param
      * [jsk_topic_tools/test_stealth_relay] Increased stealth relay time and retry count
      * [jsk_topic_tools/test_stealth_relay] Fix test by waiting topic connection istead of rospy.sleep
    
  * [jsk_topic_tools] Add diagnostic transport to ConnectionBasedTransport (#1711 <https://github.com/jsk-ros-pkg/jsk_common/issues/1711>)
    
      * [jsk_topic_tools/relay_nodelet] Poke when start subscribing
      * [jsk_topic_tools/diagnostics_nodelet] Poke when start subscribing.
      * [jsk_topic_tools] Add checking subscribed topics are published
      * [jsk_topic_tools] Add diagnostics_aggregator to dpendencies
      * [jsk_topic_tools] Delete duplicated test
      * [jsk_topic_tools] Add diagnostics sample and split test
      * [jsk_topic_tools] Fixed diagnositc message
      * [jsk_topic_tools] Add Diagnostic function to  ConnectionBasedTransport
      * Remove vital_checker.py Add _Publisher class to check last published time.
      * [jsk_topic_tools] Add diagnostic transport test
      * [jsk_topic_tools] Add diagnostic transport
      * [jsk_topic_tools] Add timered diagnostic updater for python
      * [jsk_topic_tools] Add vital checker for python
    
  * jsk_topic_tools/CMakeLists.txt: add diagnostic_updater to find_package(catkin (#1718 <https://github.com/jsk-ros-pkg/jsk_common/issues/1718>)
    
      * jsk_topic_tools/CMakeLists.txt: add diagnostic_updater to find_package(catkin
        jsk_topic_tools fails if we install diagnostic_udpate only within workspace
    ```
    In file included from /home/pi/jsk_catkin_ws/src/jsk_topic_tools-release/include/jsk_topic_tools/relay_nodelet.h:45,
    from /home/pi/jsk_catkin_ws/src/jsk_topic_tools-release/src/relay_nodelet.cpp:35:
    /home/pi/jsk_catkin_ws/src/jsk_topic_tools-release/include/jsk_topic_tools/timered_diagnostic_updater.h:41:10: fatal error: diagnostic_updater/diagnostic_updater.h: No such file or directory
    #include <diagnostic_updater/diagnostic_updater.h>
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ```
  * run 2to3 -w -f has_key for python3 compatibilityf (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
  * [jsk_topic_tools] add static_tf_republisher.py and documentation (#1667 <https://github.com/jsk-ros-pkg/jsk_common/issues/1667>)
    
      * [jsk_topic_tools] add static_tf_republisher.py and documentation
    
  * Set ccache prefix only for cmake <= 3.4 (#1694 <https://github.com/jsk-ros-pkg/jsk_common/issues/1694>)
  * test_topic_buffer_fixed_rate_and_update_rate.te: increase retry to 5 (#1693 <https://github.com/jsk-ros-pkg/jsk_common/issues/1693>)
  * 
    
      * [jsk_topic_tools/master_util.py] add default args to isMasterAlive (#1684 <https://github.com/jsk-ros-pkg/jsk_common/issues/1684>)
      * jsk_tools, jsk_topic_tools] fix urlparse import for python3
      * [jsk_topic_tools] add iputils-ping to package.xml
      * [jsk_topic_tools] fix test_python_master_util
      * [jsk_topic_tools] add test_python_master_util
    
  * jsk_topic_tools/test/test_connection_based_transport.test: increase wait_for_connection from 3 to 10 (#1692 <https://github.com/jsk-ros-pkg/jsk_common/issues/1692>)


=== debian/control ===
Source: ros-noetic-jsk-topic-tools
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-dynamic-tf-publisher, ros-noetic-eigen-conversions, ros-noetic-geometry-msgs, ros-noetic-image-transport, ros-noetic-message-generation, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roscpp-tutorials <!nocheck>, ros-noetic-roslaunch, ros-noetic-roslint <!nocheck>, ros-noetic-rosnode, ros-noetic-rostest, ros-noetic-rostime, ros-noetic-rostopic, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-topic-tools
Homepage: http://ros.org/wiki/jsk_topic_tools
Standards-Version: 3.9.2

Package: ros-noetic-jsk-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iputils-ping, python3-numpy, python3-opencv, python3-scipy, ros-noetic-diagnostic-aggregator, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-dynamic-tf-publisher, ros-noetic-eigen-conversions, ros-noetic-geometry-msgs, ros-noetic-image-transport, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rosnode, ros-noetic-rostime, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-sound-play, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-topic-tools
Description: jsk_topic_tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jsk-topic-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
